<?php

require_once ("../../config/Cado.php");

require_once ("cProveedor.php");

$oProveedor = new cProveedor();



?>

<script type="text/javascript"> 







	function cmb_mon_id(moneid)

	{	

		$.ajax({

			type: "POST",

			url: "../moneda/cmb_mon_id.php",

			async:true,

			dataType: "html",                      

			data: ({

				mon_id: moneid

			}),

			beforeSend: function(){

				$('#cmb_mon_id').html('<option value="">Cargando...</option>');

			},

			success: function(html){

				$('#cmb_mon_id').html(html);

			}

		});

	}









	function cmb_ban_id(moneid)

	{	

		$.ajax({

			type: "POST",

			url: "../banco/cmb_ban_id.php",

			async:true,

			dataType: "html",                      

			data: ({

				mon_id: moneid

			}),

			beforeSend: function(){

				$('#cmb_ban_id').html('<option value="">Cargando...</option>');

			},

			success: function(html){

				$('#cmb_ban_id').html(html);

			}

		});

	}





function proveedorcuenta_tabla(pro_id)

	{	

		$.ajax({

			type: "POST",

			url: "../proveedor/proveedorcuenta_tabla.php",

			async:true,

			dataType: "html",                      

			data: ({

				pro_id : pro_id

			

		}),

			beforeSend: function() {

				$('#div_proveedorcuenta_tabla').addClass("ui-state-disabled");

			},

			success: function(html){

				$('#div_proveedorcuenta_tabla').html(html);

			},

			complete: function(){			

				$('#div_proveedorcuenta_tabla').removeClass("ui-state-disabled");

			}

		});     

	}



	function eliminar_proveedorcuenta(idcue)

	{   

		$('#msj_proveedor').hide();   

		if(confirm("Realmente desea eliminar la cuenta?")){

			$.ajax({

				type: "POST",

				url: "../proveedor/proveedor_reg.php",

				async:true,

				dataType: "html",

				data: ({

					action: "eliminarcuenta",

					procue_id:		idcue

				}),

				beforeSend: function() {

					

				},

				success: function(html){

					toastr["success"](html);

				},

				complete: function(){

					proveedorcuenta_tabla(idcue);

				}

			});

		}

	}





$(function() {

 

 	cmb_mon_id('2');

 	cmb_ban_id();

 	proveedorcuenta_tabla(<?php echo $_POST['pro_id']; ?>);



	$('#txt_pro_nom, #txt_pro_dir, #txt_pro_con').change(function(){

		$(this).val($(this).val().toUpperCase());

	});



 	$("#btn_prov_guardar").click(function() {

		$("#for_procue").submit();

	});



// Formulario

$('#for_procue').bootstrapValidator({

	      //live: 'disabled',

	      framework: 'bootstrap',

	      message: 'This value is not valid',

	      feedbackIcons: {

	      	valid: 'glyphicon glyphicon-ok',

	      	invalid: 'glyphicon glyphicon-remove',

	      	validating: 'glyphicon glyphicon-refresh'

	      },

	      fields: { 

	      	cmb_tipcuenta_id: {

	      		group: '.col-lg-6',

	      		validators: {

	      			notEmpty: {

	      				message: 'Este campo es requerido'

	      			}

	      		}

	      	},

	      	txt_pro_con: {

	      		group: '.col-lg-3',

	      		validators: {

	      			notEmpty: {

	      				message: 'Este campo es requerido'

	      			}

	      		}

	      	}

	      }

	  }).on('success.form.bv', function(e) {

	  

	  	$.ajax({

					type: "POST",

					url: "../proveedor/proveedor_reg.php",

					async:true,

					dataType: "json",

					data: $("#for_procue").serialize(),

					beforeSend: function(){

						

					},

					success: function(data){

						

					toastr["info"](data.procue_msj);



					},

					complete: function(){

			proveedorcuenta_tabla(<?php echo $_POST['pro_id']; ?>);	

			$("#txt_pro_nrocue").val('');

			$("#txt_pro_cci").val('');



$("#cmb_tipcuenta_id").val('');



					}

				}); 

	  });



$('#cmb_tipcuenta_id').focus();

		

		$('#txt_pro_nrocue').keydown(function(ev) {

			if(ev.keyCode==13){$('#txt_pro_cci').focus(); return false;}

		});

		$('#txt_pro_cci').keydown(function(ev) {

			if(ev.keyCode==13){$('#btn_prov_guardar').focus(); return false;}

		});

		



    });



</script>



<!-- Form content -->

<div class="modal-header">

	<h4 class="modal-title" id="titlemodal">Información de Cuentas del Proveedor</h4> 

</div><div class="modal-body">

<div class="row">





						<form  role="form" id="for_procue" method="POST">

 

								<input name="action_proveedor" id="action_proveedor" type="hidden" value="<?php echo 'insertar_cuenta'?>">

								<input name="hdd_pro_id" id="hdd_pro_id" type="hidden" value="<?php echo $_POST['pro_id']?>">

								<div class="row">

								

								<div class="col-lg-6 col-xs-12">

									<label for="cmb_ban_id">Banco:</label>

									<select id="cmb_ban_id" name="cmb_ban_id" class="form-control" > </select>

								</div>



								<div class="col-lg-6 col-xs-12">

									<label for="cmb_mon_id">Moneda:</label>

									<select id="cmb_mon_id" name="cmb_mon_id" class="form-control" > </select>

								</div>

							

								<div class="col-lg-6 col-xs-12">

									<label for="cmb_tipcuenta_id">Tipo cuenta:</label>

									<select id="cmb_tipcuenta_id" name="cmb_tipcuenta_id" class="form-control" >

										<option value="">--- Seleccionar ---</option>

										<option value="1">CUENTA DE AHORROS</option>

										<option value="2">CUENTA CORRIENTE</option>

									</select>

								</div>

							

								<div class="col-lg-6 col-xs-6">

									<label for="txt_pro_nrocue">Nro Cuenta:</label>

									<input name="txt_pro_nrocue" id="txt_pro_nrocue" type="text" value="<?php echo $con?>" class="form-control">

								</div>



								<div class="col-lg-6 col-xs-6">

									<label for="txt_pro_cci">CCI:</label>

									<input name="txt_pro_cci" type="text" id="txt_pro_cci" value="<?php echo $tel?>" class="form-control">

								</div>

								

								<div class="col-lg-3 col-xs-6" style="padding:30px;">

									<span class="btn btn-primary" style="cursor:pointer;" id="btn_prov_guardar">Guardar</span>

								</div>

								

								</div>





								</form>

								

							

								

								







				<div class="col-lg-12 col-xs-12" style="height: 15px">	</div>

								

				<div class="col-lg-12 col-xs-12" id="div_proveedorcuenta_tabla"></div>







<!-- FIN CONTENIDO MODAL -->     

</div></div>

<div class="modal-footer pull-right">	 

	<span class="btn btn-default" id="btn_prov_cancelar" data-dismiss="modal">Cancelar</span>

</div>

